You might receive an error while monitoring the RabbitMQ plugin.

Problem

While monitoring the RabbitMQ plugin, an error might occur if you upgrade to vRealize Operations Cloud, which has a Telegraf version of 1.19. The following message is displayed:

getting "/api/federation-links" failed: 404 Not Found

Cause

The Federation plugins in the RabbitMQ setup are not enabled.

Solution

  • Enable the Federation plugins in the RabbitMQ setup by running the following commands in the RabbitMQ VM:
    rabbitmq-plugins enable rabbitmq_federation
    
    rabbitmq-plugins enable rabbitmq_federation_management